package com.company.testenhquartz.screen.extjobmodelbrowse;

import io.jmix.quartz.model.JobModel;
import io.jmix.ui.ScreenBuilders;
import io.jmix.ui.action.Action;
import io.jmix.ui.component.GroupTable;
import io.jmix.ui.screen.Install;
import io.jmix.ui.screen.Subscribe;
import io.jmix.ui.screen.UiController;
import io.jmix.ui.screen.UiDescriptor;
import io.jmix.quartz.screen.jobs.JobModelBrowse;
import org.apache.commons.collections4.CollectionUtils;
import org.springframework.beans.factory.annotation.Autowired;

@UiController("quartz_JobModel.browse")
@UiDescriptor("ext-job-model-browse.xml")
public class ExtJobModelBrowse extends JobModelBrowse {
    @Autowired
    private GroupTable<JobModel> jobModelsTable;
    @Autowired
    private ScreenBuilders screenBuilders;

    @Install(to = "jobModelsTable.executionHistory", subject = "enabledRule")
    private boolean jobModelsTableExecutionHistoryEnabledRule() {
        if (CollectionUtils.isEmpty(jobModelsTable.getSelected())) {
            return false;
        }
        return jobModelsTable.getSelected().size() == 1;
    }

    @Subscribe("jobModelsTable.executionHistory")
    public void onJobModelsTableExecutionHistory(Action.ActionPerformedEvent event) {
    }
}